#include "DeerRender/DataStore.h"
#include "DeerRender/Resource.h"
#include "DeerRender/Texture.h"
#include "DeerStudio/EditorDataSource.h"
#include "DeerStudio/StudioAPI/UI.h"

#include <unordered_map>

namespace Deer {
	int StudioAPI::getIconId(const std::string& name) {
		Resource<Texture> texture = ResourceManager<Texture>::loadResource<EditorDataSource>(name);

		if (texture.isValid())
			return texture.getData().getTextureID();

		return 0;
	}
} // namespace Deer